""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
" Keyboard Settings
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

set backspace=indent,eol,start
set winaltkeys=no

" Make the keyboard layout appear as QWERTY though set-up as Colemak
set langmap=rs,RS,gt,GT,fe,FE,pr,PR,jy,JY,lu,LU,ui,UI,yo,YO,sd,SD,dg,DG,nj,NJ,ek,EK,il,IL,kn,KN,o\\;,O\:,\\;p
set langnoremap

let mapleader=","

map <leader>s :source ~/.config/nvim/init.vim<cr>
map <leader>e :sp! ~/.config/nvim/init.vim<cr>
autocmd! bufwritepost ~/.config/nvim/init.vim source ~/.config/nvim/init.vim

map gr :tabp<cr>

" Disable EX mode.
nnoremap Q <nop>

" Plugin specific keyboard settings {{{

nmap <F8> :TagbarToggle<CR>

let g:SuperTabDefaultCompletionType = "<c-x><c-o>"
inoremap <expr><TAB>  pumvisible() ? "\<C-n>" : "\<TAB>"

" Git From Unite
nnoremap <silent> <F10> :Unite -direction=botright -silent -buffer-name=git -start-insert menu:git<CR>

map / <Plug>(incsearch-forward)
map ? <Plug>(incsearch-backward)
map g/ <Plug>(incsearch-stay)

" }}}
